import { FieldInfo } from 'model-util-base';
import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, JoinTable } from 'model-util';
import { DevopsFlowStep } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-02-26 14:28
 */
interface DevopsFlowStepCU extends ConditionUtil<DevopsFlowStepCU> {
    ID: FieldUtil<DevopsFlowStepCU>;
    FLOW_ID: FieldUtil<DevopsFlowStepCU>;
    STEP_INDEX: FieldUtil<DevopsFlowStepCU>;
    STEP_TYPE: FieldUtil<DevopsFlowStepCU>;
    STEP_NAME: FieldUtil<DevopsFlowStepCU>;
    STEP_DESC: FieldUtil<DevopsFlowStepCU>;
    RUN_SCRIPT_TEMPLATE: FieldUtil<DevopsFlowStepCU>;
    REMARK: FieldUtil<DevopsFlowStepCU>;
    CREATE_TIME: FieldUtil<DevopsFlowStepCU>;
    UPDATE_TIME: FieldUtil<DevopsFlowStepCU>;
}
declare class DevopsFlowStepMU extends TableUtilImpl<DevopsFlowStepCU, DevopsFlowStep> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: JoinTable[];
    subTables: any[];
    createConditionUtil(): DevopsFlowStepCU;
    static get ID(): FieldUtil<DevopsFlowStepCU>;
    static get FLOW_ID(): FieldUtil<DevopsFlowStepCU>;
    static get STEP_INDEX(): FieldUtil<DevopsFlowStepCU>;
    static get STEP_TYPE(): FieldUtil<DevopsFlowStepCU>;
    static get STEP_NAME(): FieldUtil<DevopsFlowStepCU>;
    static get STEP_DESC(): FieldUtil<DevopsFlowStepCU>;
    static get RUN_SCRIPT_TEMPLATE(): FieldUtil<DevopsFlowStepCU>;
    static get REMARK(): FieldUtil<DevopsFlowStepCU>;
    static get CREATE_TIME(): FieldUtil<DevopsFlowStepCU>;
    static get UPDATE_TIME(): FieldUtil<DevopsFlowStepCU>;
    static get FLOW_NAME(): FieldInfo;
    get ID(): FieldUtil<DevopsFlowStepCU>;
    get FLOW_ID(): FieldUtil<DevopsFlowStepCU>;
    get STEP_INDEX(): FieldUtil<DevopsFlowStepCU>;
    get STEP_TYPE(): FieldUtil<DevopsFlowStepCU>;
    get STEP_NAME(): FieldUtil<DevopsFlowStepCU>;
    get STEP_DESC(): FieldUtil<DevopsFlowStepCU>;
    get RUN_SCRIPT_TEMPLATE(): FieldUtil<DevopsFlowStepCU>;
    get REMARK(): FieldUtil<DevopsFlowStepCU>;
    get CREATE_TIME(): FieldUtil<DevopsFlowStepCU>;
    get UPDATE_TIME(): FieldUtil<DevopsFlowStepCU>;
    get FLOW_NAME(): FieldInfo;
}
export { DevopsFlowStepMU, DevopsFlowStepCU };
